Bug 3173 - quick search ignores trailing blank
Summary: quick search ignores trailing blank
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: UI/Message List (show other bugs)
Version: 3.10.0
Hardware: PC Linux
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2014-05-21 14:23 CEST by Pierre Fortin
Modified: 2014-07-10 08:04 CEST (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre Fortin 2014-05-21 14:23:03 CEST
Wanting to color previously received CMbugzilla messages (those copied directly to me stay in Inbox while general CMbugilla messages which go into CMBugs folder), entered "[Bug " into quick search and applied color to all.  Then, noticed that bugs prefixed with "[Bug-wget...] were also colored

In this case, trailing blank is significant but ignored.
Comment 1 users 2014-07-12 11:10:17 CEST
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2014-07-12 11:10:17.048542870 +0200
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=890b7d2bcd55ddaee95f3b8810dab941e882014b
Merge: 248ff0e ae895c8
Author: Colin Leroy <colin@colino.net>
Date:   Sat Jul 12 11:10:16 2014 +0200

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=ae895c83393ec495cdf3454de4ff12e89dcc65c8
Author: Holger Berndt <hb@claws-mail.org>
Date:   Thu Jul 10 21:15:58 2014 +0200

    Python plugin: Fix ComposeWindow.get_account_selection

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=c3b1f98e46c26df4d33de4b280960b301c0555a6
Author: Paul <paul@claws-mail.org>
Date:   Thu Jul 10 06:58:00 2014 +0100

    fix bug 3173, 'quick search ignores trailing blank'

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=7acbddf5cb01a75d97ee210a6dde1f7289de8a14
Author: Colin Leroy <colin@colino.net>
Date:   Wed Jul 9 09:12:15 2014 +0200

    Remove test

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=51530948537b9c22fa94fe735d9b814546ea634d
Author: Colin Leroy <colin@colino.net>
Date:   Tue Jul 8 15:52:30 2014 +0200

    test commit